#include <iostream>
#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long x, n, y, i, z = 0, brojac = 0, veci = 0, manji = 0;
    cin >> n >> x;

    long long komsije[n];
    for(i = 0; i < n; i++)
    {
        cin >> y;
        komsije[z] = y;
        z++;
    }

    sort(komsije, komsije + n);
    for(i = 0; i < n; i++)
    {
        if(komsije[i] < x)
        {
            manji++;
        }

        if(komsije[i] > x)
        {
            veci++;
        }
    }

    long long negativni[manji], pozitivni[veci];
    for(i = 0; i < manji; i++)
    {
        negativni[i] = komsije[i];
    }

    long long p = 0;
    for(i = manji; i < n; i++)
    {
        pozitivni[p] = komsije[i];
        p++;
    }

    if(x < 0)
    {
        x = x * (-1);
    }

    if(veci == manji || veci < manji)
    {
        if(veci == 0)
        {
            if(negativni[0] < 0)
            {
               negativni[0] = negativni[0] * (-1);
            }

            if(negativni[0]  < x)
            {
                brojac = x - negativni[0];
                cout << brojac;
                return 0;
            }

            brojac = negativni[0] - x;
            cout << brojac;
            return 0;
        }
        brojac = (pozitivni[veci - 1] - x) + (pozitivni[veci - 1] - negativni[0]);
        cout << brojac;
        return 0;
    }

    long long a, b;
    if(veci > manji)
    {
        if(manji == 0){
            if(pozitivni[veci - 1] < 0)
            {
                pozitivni[veci - 1] = pozitivni[veci - 1] * (-1);
            }

            if(pozitivni[veci - 1] < x)
            {
                brojac = x - pozitivni[veci - 1];
                cout << brojac;
                return 0;
            }

            brojac = pozitivni[veci - 1] - x;
            cout << brojac;
            return 0;
        }

        a = negativni[0] - x;
        b =  pozitivni[veci - 1] - negativni[0];
        if(a < 0)
        {
            a = a * (-1);
        }

        if(b < 0)
        {
            b = b * (-1);
        }

        brojac = a + b;
        cout << brojac;
    }
    return 0;
}